Bug 956007 - (CVE-2013-2006) CVE-2013-2006 OpenStack keystone: DEBUG level LDAP password disclosure in log files
CVE-2013-2006 OpenStack keystone: DEBUG level LDAP password disclosure in log...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130419,reported=2...
: Security
Depends On: 956019 956849 956850
Blocks: 953921 957040
  Show dependency treegraph
 
Reported: 2013-04-24 03:39 EDT by Kurt Seifried
Modified: 2016-04-26 12:16 EDT (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-08 23:49:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1172195 None None None Never
OpenStack gerrit 26826 None None None Never

  None (edit)
Description Kurt Seifried 2013-04-24 03:39:30 EDT
j-ago reports:

A security flaw was found in the way Openstack Keystone (previously) performed management of LDAP
password and admin_token Keystone daemon configuration file values. A local attacker could use this
flaw to obtain sensitive information.

Relevant upstream patch (Gerrit form):
[3] https://review.openstack.org/#/c/26826/

External references:
https://bugs.launchpad.net/ossn/+bug/1168252
http://openwall.com/lists/oss-security/2013/04/24/1
Comment 1 Jan Lieskovsky 2013-04-24 03:45:59 EDT
Further CVE-2013-1977 vs CVE-2013-2006 ids disambiguation:
  https://bugs.launchpad.net/devstack/+bug/1168252/comments/7
Comment 3 Jan Lieskovsky 2013-04-24 05:41:25 EDT
Thierry Carrez via OSS security:
"This is tracked at https://bugs.launchpad.net/keystone/+bug/1172195
Note that it only affects DEBUG level logs."
Comment 4 Kurt Seifried 2013-04-25 14:45:56 EDT
Created openstack-keystone tracking bugs for this issue

Affects: fedora-all [bug 956849]
Comment 5 Kurt Seifried 2013-04-25 14:46:53 EDT
Created openstack-keystone tracking bugs for this issue

Affects: epel-6 [bug 956850]
Comment 11 errata-xmlrpc 2013-05-09 14:17:08 EDT
This issue has been addressed in following products:

  OpenStack Folsom for RHEL 6

Via RHSA-2013:0806 https://rhn.redhat.com/errata/RHSA-2013-0806.html
Comment 12 Fedora Update System 2013-05-21 21:29:34 EDT
openstack-keystone-2012.2.4-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-05-24 16:26:00 EDT
openstack-keystone-2013.1.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-07-12 15:38:03 EDT
openstack-keystone-2012.2.4-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.